org.apache.ignite.internal.processors.cache

## Interface IgniteRebalanceIterator

All Superinterfaces:
  AutoCloseable, GridCloseableIterator<CacheDataRow>, GridIterator<CacheDataRow>, GridSerializableIterator<CacheDataRow>, IgniteSpiCloseableIterator<CacheDataRow>, Iterable<CacheDataRow>, Iterator<CacheDataRow>, Serializable

    public interface IgniteRebalanceIterator
    extends GridCloseableIterator<CacheDataRow>

### Method Summary

Methods
`boolean` `historical()`

### Methods inherited from interface org.apache.ignite.internal.util.lang.GridCloseableIterator

`close, isClosed`

### Methods inherited from interface org.apache.ignite.internal.util.lang.GridIterator

`hasNextX, nextX, removeX`

### Methods inherited from interface java.lang.Iterable

`iterator`

### Methods inherited from interface java.util.Iterator

`hasNext, next, remove`

### Method Detail

#### historical

    boolean historical()

Returns:
  `True` if this iterator is a historical iterator starting from the requested partition counter.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017